---
- hosts: "all"
  gather_facts: false
  become: yes
  vars:
    registry: registry.gitlab.com/commonground/haven/kops-images
    image: protokube
    version: "1.18.2"
  tasks:
    - name: Update protokube
      block:
        - name: Pull image
          command: docker image pull {{ registry }}/{{ image }}:{{ version }}
        - name: Tag image
          command: docker image tag {{ registry }}/{{ image }}:{{ version }} {{ image }}:{{ version }}
        - name: Restart protokube service
          command: systemctl restart protokube
        - name: Image prune
          command: docker image prune --force
